Passer au contenu
AchaduDevelopers
API opérationnelleAller sur le site Web
Tableau de bord
Developers/API/store_update
Magasin

Mettre à jour le magasin

Les mises à jour stockent l’identité, le thème, les réseaux et la confidentialité.

PATCH/storestore:write

Demande

namestring · bodyNom du magasin.facultatif
taglinestring · bodyPhrase principale.facultatif
logostring · bodyURL du logo.facultatif
coverstring · bodyURL de couverture.facultatif
faviconstring · bodyURL de l'icône.facultatif
aboutstring · bodyDescriptif du magasin.facultatif
themeobject · bodyJetons visuels.facultatif
socialobject · bodyLiens sociaux.facultatif
privacyobject · bodyPréférences du public.facultatif
badgeboolean · bodyAffiche le sceau.facultatif
activeboolean · bodyPubliez la boutique.facultatif

Exemple

curl
curl -X PATCH 'https://achadu.com/api/v1/store' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "tagline": "string",
  "logo": "https://cdn.example.com/image.jpg"
}'

Réponse

200Opération terminée
4xxErreur avec le code, le message et request_id